%bcond_without tests
%{?python_enable_dependency_generator}

Summary:       Command Line Interface Formulation Framework
Name:          python-cliff
Version:       4.2.0
Release:       4%{?dist}
License:       ASL 2.0
URL:           https://pypi.io/pypi/cliff
Source0:       https://pypi.io/packages/source/c/cliff/cliff-%{version}.tar.gz

BuildArch:     noarch

%description
cliff is a framework for building command line programs. It uses setuptools entry points to provide
subcommands, output formatters, and other extensions.

Documentation for cliff is hosted on readthedocs.org at http://readthedocs.org/docs/cliff/en/latest/

%package -n python3-cliff
Summary:       Command Line Interface Formulation Framework

BuildRequires: python3-devel python3-setuptools python3-prettytable
BuildRequires: python3-stevedore python3-cmd2 python3-autopage
BuildRequires: python3-importlib-metadata

%if %{with tests}
BuildRequires: bash which python3-subunit python3-PyYAML
BuildRequires: python3-testtools python3-testscenarios python3-docutils
%endif

Requires: python3-prettytable python3-stevedore python3-cmd2 python3-yaml
Requires: python3-autopage python3-importlib-metadata

%description -n python3-cliff
cliff is a framework for building command line programs. It uses setuptools entry points to provide
subcommands, output formatters, and other extensions.

Documentation for cliff is hosted on readthedocs.org at http://readthedocs.org/docs/cliff/en/latest/

%prep
%autosetup -n cliff-%{version} -p1
rm -rf {test-,}requirements.txt
rm -rf *.egg-info

%build
%{py3_build}

%install
%{py3_install}

%check
%if %{with tests}
PYTHON=python3 python3 setup.py test
%endif

%files -n python3-cliff
%license LICENSE
%doc doc/ README.rst ChangeLog AUTHORS CONTRIBUTING.rst
%{python3_sitelib}/cliff
%{python3_sitelib}/cliff-*.egg-info
%exclude %{python3_sitelib}/cliff/tests

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-3
- Rebuilt for loongarch release

* Sat Oct 07 2023 kianli <kianli@tencent.com> - 4.2.0-2
- Update requires for 4.2.0

* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 4.2.0-1
- Upgrade to version 4.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 4.0.0-1
- initial build
